Page MenuHomePhabricator

Move wikifeeds to the logging pipeline
Closed, ResolvedPublic

Description

Similar to other service-runner services, wikifeeds also will need to move to logging pipeline

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2020, 11:38 AM
jbond triaged this task as Medium priority.Feb 19 2020, 1:44 PM

Reminder/ping as we (SRE Observability) would like to deprecate all non-kafka inputs by end of Q4 FY19/20. If the service is moving (or has moved) to k8s then what's left to do is disable gelf log output and keep on stdout/stderr. If the service isn't moving to k8s then we'll also need to perform puppet-level changes. Thanks!

fgiunchedi closed this task as Resolved.Sep 21 2020, 9:32 AM
fgiunchedi claimed this task.

wikifeeds is logging using k8s -> stdout -> logging pipeline:

    "hostname": "wikifeeds-production-5ffd8f86d-q889z",
    "name": "wikifeeds",
    "kubernetes": {
      "pod_id": "4548e12e-f8cf-11ea-8075-aa00009fecd4",
      "container_name": "wikifeeds-production",
      "labels": {
        "pod-template-hash": "5ffd8f86d",
        "release": "production",
        "app": "wikifeeds"
      },
...
fgiunchedi reopened this task as Open.Sep 21 2020, 9:35 AM

Correction: wikifeeds is using stdout and gelf, the latter can be removed

fgiunchedi removed fgiunchedi as the assignee of this task.Sep 21 2020, 9:37 AM
lmata moved this task from Externally blocked to Radar on the observability board.Sep 21 2020, 8:28 PM

Change 632243 had a related patch set uploaded (by Filippo Giunchedi; owner: Filippo Giunchedi):
[operations/deployment-charts@master] wikifeeds: use k8s stdout logging only

https://gerrit.wikimedia.org/r/632243

Change 632243 merged by jenkins-bot:
[operations/deployment-charts@master] wikifeeds: use k8s stdout logging only

https://gerrit.wikimedia.org/r/632243

fgiunchedi closed this task as Resolved.Oct 6 2020, 7:40 AM
fgiunchedi claimed this task.
fgiunchedi added a subscriber: MSantos.

@MSantos I went ahead and deployed wikifeed chart 0.0.19, resolving